import unittest

from dungeonbattle.menus import ArbitraryMenu, MainMenu, MainMenuValues


class TestMenus(unittest.TestCase):
    def test_scroll_menu(self) -> None:
        """
        Test to scroll the menu.
        """
        arbitrary_menu = ArbitraryMenu([])
        self.assertEqual(arbitrary_menu.position, 0)

        main_menu = MainMenu()
        self.assertEqual(main_menu.position, 0)
        self.assertEqual(main_menu.validate(), MainMenuValues.START)
        main_menu.go_up()
        self.assertEqual(main_menu.validate(), MainMenuValues.START)
        main_menu.go_down()
        self.assertEqual(main_menu.validate(), MainMenuValues.SETTINGS)
        main_menu.go_down()
        self.assertEqual(main_menu.validate(), MainMenuValues.EXIT)
        main_menu.go_down()
        self.assertEqual(main_menu.validate(), MainMenuValues.EXIT)
