from dungeonbattle.game import Game
from dungeonbattle.display.display_manager import DisplayManager
from dungeonbattle.term_manager import TermManager


class Bootstrap:

    @staticmethod
    def run_game():
        with TermManager() as term_manager:
            game = Game()
            game.new_game()
            display = DisplayManager(term_manager.screen, game)
            game.display_refresh = display.refresh
            game.run(term_manager.screen)
